


<script>

import Generate_Card from '@/components/generate_vibe/scenery.vue'
import dashboard from '@/components/dashboard/scenery.vue'
import instruments from '@/components/instruments/scenery.vue'

import navigator from '@/components/navigator/scenery.vue'

import { lap } from '@/fleet/lap'

export default {
	inject: ['vibes_store'],
	
	components: {
		dashboard,
		instruments,
		Generate_Card,
		
		navigator
	},
	
	data () {
		return {
			retrieving_vibes: true,
			
			vibes_alert: false,
			
			vibes: [],
			
			
			// "vibe"
			show: "vibe maker",
			show_vibe: { name: '' },
			
			styles: {
				vibe_styles: {
					margin: '4px 0'
				}
			},
			
			
			story: "",
			performance: ""
		}		
	},
	
	methods: {
		async perfom () {
			const proceeds = await this.vibes_store.moves.perform ({
				story: this.story
			})
			if (proceeds.status === "pass") { 
				this.performance = proceeds.note.performance;
			}
			
			console.log ({ proceeds })
			
		}
	},
	
	mounted () {
	}
}

</script>

<template>
	<div
		:style="{
			display: 'flex',
			
			borderRadius: '8px',
			
			height: '100%',
			
			color: 'white'
		}"
	>
		<div
			:style="{
				position: 'relative',
				
				width: '20%',
				border: '2px solid white',
				borderRadius: '8px',
				
				boxSizing: 'border-box',
				padding: '20px',
				
				display: 'flex',
				flexDirection: 'column'
			}"
		>
			<div>
				<h1>Perform</h1>
			</div>
		</div>
		<div
			:style="{
				boxSizing: 'border-box',
				
				padding: '20px',
				width: '100%'
			}"
		>
			<p>With a "vibe" and a "story", the "perform" button formulates a "performance" of the story.</p>
			<div :style="{ height: '100px' }" />
		
			<h2>story</h2>
			<textarea
				v-model="story"
				label="story"
				
				:style="{
					width: '100%',
					minHeight: '200px',
					background: 'none',
					borderRadius: '8px',
					
					boxSizing: 'border-box',
					padding: '12px'
				}"
			/>
			
			<VaButton 
				@click="perfom"
				:style="{ margin: '5px 0 20px' }"
			>Perform</VaButton>
			
			<h2>performance</h2>
			<textarea
				v-model="performance"
				label="performance"
				:style="{
					width: '100%',
					minHeight: '200px',
					background: 'none',
					borderRadius: '8px',
					
					boxSizing: 'border-box',
					padding: '12px'
				}"
			/>
		
		</div>
	</div>
</template>

